Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPEvaluator.cs	(revision 16462)
@@ -26,8 +26,8 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
-  [StorableClass]
+  [StorableType("8B15F5F0-4C42-4143-B7F5-2462C78BC49C")]
   public class QAPEvaluator : InstrumentedOperator, IQAPEvaluator {
 
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    protected QAPEvaluator(bool deserializing) : base(deserializing) { }
+    protected QAPEvaluator(StorableConstructorFlag _) : base(_) { }
     protected QAPEvaluator(QAPEvaluator original, Cloner cloner) : base(original, cloner) { }
     public QAPEvaluator() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPInversionMoveEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPInversionMoveEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPInversionMoveEvaluator.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
   [Item("QAPInversionMoveEvaluator", "Evaluated an inversion move on a QAP solution.")]
-  [StorableClass]
+  [StorableType("56ED50D5-FF78-4F9D-82B5-89F594353ADD")]
   public class QAPInversionMoveEvaluator : QAPMoveEvaluator, IPermutationInversionMoveOperator {
     public ILookupParameter<InversionMove> InversionMoveParameter {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected QAPInversionMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected QAPInversionMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected QAPInversionMoveEvaluator(QAPInversionMoveEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPMoveEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPMoveEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPMoveEvaluator.cs	(revision 16462)
@@ -26,5 +26,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("QAPMoveEvaluator", "A base class for operators which evaluate moves.")]
-  [StorableClass]
+  [StorableType("71C3A4D8-F5BB-4539-AD28-B969D7F0D879")]
   public abstract class QAPMoveEvaluator : SingleSuccessorOperator, IQAPMoveEvaluator {
 
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    protected QAPMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected QAPMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected QAPMoveEvaluator(QAPMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     protected QAPMoveEvaluator()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPScrambleMoveEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPScrambleMoveEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPScrambleMoveEvaluator.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
   [Item("QAPScrambleMoveEvaluator", "Evaluated a scramble move on a QAP solution.")]
-  [StorableClass]
+  [StorableType("E5D1B682-6ADA-4DEE-8546-6C5BCE1C91D0")]
   public class QAPScrambleMoveEvaluator : QAPMoveEvaluator, IPermutationScrambleMoveOperator {
     public ILookupParameter<ScrambleMove> ScrambleMoveParameter {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected QAPScrambleMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected QAPScrambleMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected QAPScrambleMoveEvaluator(QAPScrambleMoveEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPSwap2MoveEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPSwap2MoveEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPSwap2MoveEvaluator.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
   [Item("QAPSwap2MoveEvaluator", "Evaluated a swap-2 move on a QAP solution.")]
-  [StorableClass]
+  [StorableType("7BB50BA8-2690-4752-B129-91A520DB5829")]
   public class QAPSwap2MoveEvaluator : QAPMoveEvaluator, IPermutationSwap2MoveOperator {
     public ILookupParameter<Swap2Move> Swap2MoveParameter {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected QAPSwap2MoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected QAPSwap2MoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected QAPSwap2MoveEvaluator(QAPSwap2MoveEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPTranslocationMoveEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPTranslocationMoveEvaluator.cs	(revision 16453)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.QuadraticAssignment/3.3/Evaluators/QAPTranslocationMoveEvaluator.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.QuadraticAssignment {
   [Item("QAPTranslocationMoveEvaluator", "Evaluates translocation moves on a QAP solution.")]
-  [StorableClass]
+  [StorableType("0B1B33E0-7F88-485C-8E00-79FBB266CE4E")]
   public class QAPTranslocationMoveEvaluator : QAPMoveEvaluator, IPermutationTranslocationMoveOperator {
 
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected QAPTranslocationMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected QAPTranslocationMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected QAPTranslocationMoveEvaluator(QAPTranslocationMoveEvaluator original, Cloner cloner)
       : base(original, cloner) {
